# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define oname genericjmsra
%define sname genericra
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Summary:        Generic JMS Resource Adapter
Name:           genericjmsra10
Version:        1.0
Release:        3%{?dist}
Epoch:          0
License:        Apache Software License 2.0
URL:            https://genericjmsra.dev.java.net/
Group:          Development/Libraries/Java
Source0:        genericjmsra10.tar.gz
# cvs -d :pserver:guest@cvs.dev.java.net:/cvs login
# cvs -d :pserver:guest@cvs.dev.java.net:/cvs export -r RELEASE_1_0 genericjmsra
Source1:        http://mirrors.ibiblio.org/pub/mirrors/maven2/jencks/genericra/1.0/genericra-1.0.pom
Patch0:         genericjmsra10-config-properties.patch
Patch1:         genericjmsra10-build.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  jms_1_1_api
Requires:  java >= 0:1.6.0
Requires:  j2ee_connector_1_5_api
Requires:  jms_1_1_api

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
J2EE 1.4 specifies J2EE Connector Architecture 1.5 as the 
basic mechanism to integrate JMS providers with J2EE 
application servers. However some JMS provider vendors do 
not provide a J2EE Connector Architecture 1.5 compliant 
resource adapter to enable such an integration. This project
helps such JMS providers to integrate with J2EE application
servers by wrapping their JMS client library in a J2EE
Connector Architecture 1.5 resource adapter. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{oname}
for j in $(find . -name "*.jar"); do
      mv $j $j.no
done
%patch0 -b .sav0
%patch1 -b .sav1

%build
export RA_HOME=$(pwd)
export CLASSPATH=$(build-classpath \
j2ee_connector_1_5_api \
jms_1_1_api \
)
ant -Dbuild.sysclasspath=first build javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

# jars
install -m 644 build/dist/%{sname}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# rars
install -m 644 build/dist/%{sname}.rar \
      $RPM_BUILD_ROOT%{_datadir}/%{name}/

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}
%add_to_maven_depmap jencks genericra %{version} JPP %{name}

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%doc LICENSE
%{_datadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Oct 31 2012 Will Tatam <will.tatam@red61.com> 1.0-3
- Auto rebuild for JPackage 6 in centos5 mock

* Sun Aug 05 2012 Ralph Apel <r.apel at r-apel.de> - 0:1.0-2
- First JPP-6 release

* Fri Jan 23 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1.jpp5
- First release

